<?php
/*
	WARNING! DO NOT EDIT THIS FILE!
	This file is part of the core Bizznis parent theme. 
	Please do all modifications in the form of a child theme.
*/

/**
 * Echo reference to the style sheet.
 *
 * @since 1.0.0
 */
add_action( 'get_header', 'bizznis_load_stylesheet' );
function bizznis_load_stylesheet() {
	add_action( 'wp_enqueue_scripts', 'bizznis_enqueue_main_stylesheet', 5 );
}

/**
 * Enqueue main stylesheet.
 *
 * @since 1.0.0
 */
function bizznis_enqueue_main_stylesheet() {
	$version = defined( 'CHILD_THEME_VERSION' ) && CHILD_THEME_VERSION ? CHILD_THEME_VERSION : PARENT_THEME_VERSION;
	$handle  = defined( 'CHILD_THEME_NAME' ) && CHILD_THEME_NAME ? sanitize_title_with_dashes( CHILD_THEME_NAME ) : 'child-theme';
	wp_enqueue_style( $handle, get_stylesheet_uri(), false, $version );
}

/**
 * Enqueue Bizznis admin styles.
 *
 * @since 1.0.0
 */
add_action( 'admin_print_styles', 'bizznis_load_admin_styles' );
function bizznis_load_admin_styles() {
	wp_enqueue_style( 'bizznis_admin_css', BIZZNIS_ADMIN_CSS_URL . '/admin.css', array(), PARENT_THEME_VERSION );
}